Bug 576 - nsgmls should not be in sgmls-tools
nsgmls should not be in sgmls-tools
Product: Red Hat Linux
Classification: Retired
Component: sgml-tools (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 1998-12-23 16:24 EST by Jay Berkenbilt
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-05-17 10:16:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Berkenbilt 1998-12-23 16:24:38 EST
nsgmls is part of James Clark's sp package.  The rest of
sgml-tools includes programs and files needed by the linux
documentation project.  It would be nice to be able to
install sp in /usr (or to package it as an RPM, which I do),
without having this conflict with /usr/bin/nsgmls.  It seems
that a good way of doing this would be to have nsgmls be in
its own package (or subpackage).  With virtual package
support, sgml-tools could depend upon a package that
provides the nsgmls sgml parser so that it could still work
if a newer version of sp is installed.

Basically, the sgml-tools package is a collection of
utilities, some of which come from external sources, that
have been combined into one package.  This seems to me to be
a recipe for trouble.
Comment 1 Preston Brown 1999-03-22 12:00:59 EST
we will be redoing the packaging of sgml-tools in Red Hat Linux 6.1
somewhat majorly, when the 2.x sgml-tools stuff is a bit more stable.
As it is though, it is definitely somewhat of a mess.  We will be
sticking with the monolithic sgmltools 1.0.x package for Red Hat Linux
6.0, but we will consider breaking the package up into its respective
parts for a future release.  Point noted.
Comment 2 Preston Brown 1999-05-17 10:16:59 EDT
SGMLtools is dead.  DocBook and James Clark's other tools are now
included in the powertools distribution, and may or may not be moved
into the main distribution at some point in the future.

Note You need to log in before you can comment on or make changes to this bug.